/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2020  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#ifndef REPORTHEADERDIALOGHEADERFILE
#define REPORTHEADERDIALOGHEADERFILE

#include <QDialog>

class QLineEdit;

class TReportHeaderDialog : public QDialog
{
Q_OBJECT

public:

// CREATORS
	TReportHeaderDialog(const QWidget *parent=0, Qt::WindowFlags flags=0);
	~TReportHeaderDialog(void);

// ACCESSORS
	QString Header1_Text(void) const;
	QString Header2_Text(void) const;

// MANIPULATORS
	void Set_Header1_Text(const QString &text);
	void Set_Header2_Text(const QString &text);

signals:

private slots:

private:
	QLineEdit							*d_report_header1_edit;
	QLineEdit							*d_report_header2_edit;

// NOT IMPLEMENTED
	TReportHeaderDialog(const TReportHeaderDialog&);
	TReportHeaderDialog& operator=(const TReportHeaderDialog&);
};

#endif
